org.apache.ignite.internal.processors.cache.persistence.partstate

## Class PartitionRecoverState

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.partstate.PartitionRecoverState

    public class PartitionRecoverState
    extends Object

Class holds state of partition during recovery process.

### Constructor Summary

Constructors
Constructor and Description
`PartitionRecoverState(int stateId, long updateCounter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `stateId()`
`long` `updateCounter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionRecoverState

    public PartitionRecoverState(int stateId,
                                 long updateCounter)

Parameters:
  `stateId` - State id.
  `updateCounter` - Update counter.

### Method Detail

#### stateId

    public int stateId()

#### updateCounter

    public long updateCounter()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020